Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594492 - Needs to include the 32-bit oprofile-jit rpms on 64-bit platforms
Summary: Needs to include the 32-bit oprofile-jit rpms on 64-bit platforms
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Dennis Gregorovic
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 463223
TreeView+ depends on / blocked
 
Reported: 2010-05-20 20:23 UTC by William Cohen
Modified: 2010-11-11 16:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 16:28:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description William Cohen 2010-05-20 20:23:33 UTC
Description of problem:

RHEL-6 ppc64 has a number of 32-bit user-space applications. Users can and do install install 32-bit java environments. To use oprofile with a 32-bit jvm need to have the 32-bit ppc oprofile-jit rpm in the RHEL-6 ppc64 distribution. Right now the 32-bit oprofile-jit is not included, so performance data on 32-bit java applications cannot be collected.


Version-Release number of selected component (if applicable):


How reproducible:

Always


Steps to Reproduce:
1. Have a RHEL6 ppc64 installation
2. Install a 32-bit ppc java virtual machine that support the jvmti interface
3. Set up oprofile to start to collecting data and attempt to collect data on java app by adding the following option to the normal java command line to start java application:

-agentpath:/usr/lib/oprofile/libopagent.so
  
Actual results:

See complaint about unable to find library.

Expected results:

Performance data collected by oprofile for 32-bit jvm.

Comment 2 Dennis Gregorovic 2010-05-20 20:35:44 UTC
Would you also want 32bit oprofile-jit in the x86_64 tree and 31bit oprofile-jit in the s390x tree?

Comment 3 RHEL Product and Program Management 2010-05-20 20:36:22 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 William Cohen 2010-05-20 20:45:17 UTC
Yes, 32-bit versions of oprofile-jit should be available on the other 64-bit platforms in case people have non-64-bit jvms installed.

Comment 5 Dennis Gregorovic 2010-05-20 22:01:35 UTC
Change made in CVS

Comment 6 Alexander Todorov 2010-05-26 13:30:26 UTC
# pwd
/mnt/redhat/rel-eng/RHEL6.0-20100523.0/6

# find -name "oprofile-jit*.rpm"
./Client/i386/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./Client/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.x86_64.rpm
./Client/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./WebServer/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./WebServer/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.x86_64.rpm
./LeanClient/i386/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./LeanClient/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.x86_64.rpm
./LeanClient/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./FoundationServer/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./FoundationServer/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.x86_64.rpm
./ComputeNode/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./ComputeNode/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.x86_64.rpm
./Server/i386/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./Server/s390x/os/Packages/oprofile-jit-0.9.6-5.el6.s390x.rpm
./Server/s390x/os/Packages/oprofile-jit-0.9.6-5.el6.s390.rpm
./Server/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.x86_64.rpm
./Server/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./Server/ppc64/os/Packages/oprofile-jit-0.9.6-5.el6.ppc.rpm
./Server/ppc64/os/Packages/oprofile-jit-0.9.6-5.el6.ppc64.rpm
./Workstation/i386/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm
./Workstation/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.x86_64.rpm
./Workstation/x86_64/os/Packages/oprofile-jit-0.9.6-5.el6.i686.rpm


qa_ack+ and moving to VERIFIED.

Comment 7 releng-rhel@redhat.com 2010-11-11 16:28:06 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.